import request from '@/utils/request'

// 获取地图列表
export function getMapList(params) {
  return request({
    url: '/v1/map/list',
    baseURL: '/pns',
    method: 'get',
    params
  })
}

// 获取当前地图
export function getCurrentMap(params) {
  return request({
    url: '/v1/map/using',
    method: 'get',
    params
  })
}

// 获取地图缩略图
export function getMapThumbnail(params) {
  return request({
    url: `/v1/map/thumbnail?map=${params}`,
    baseURL: '/pns',
    method: 'get',
    responseType: 'blob'
  })
}

// 地图重命名
export function renameMap(data) {
  return request({
    url: '/v1/map/rename',
    method: 'post',
    data
  })
}

// 删除地图工程
export function deleteMap(data) {
  return request({
    url: '/v1/map/delete',
    method: 'delete',
    data
  })
}

// 地图工程下载前压缩
export function compressMapExport(data) {
  return request({
    url: '/v1/map/export/compress',
    method: 'post',
    data
  })
}

// 下载地图工程压缩包
export function downloadMapExport(params) {
  return request({
    url: '/v1/map/export',
    method: 'get',
    params
  })
}

// 导入地图工程
export function importMap(data) {
  return request({
    url: '/v1/map/import',
    method: 'post',
    data
  })
}

// 地图工程组件列表
export function getMapComponents(params) {
  return request({
    url: '/v1/map/components',
    method: 'get',
    params
  })
}

// 地图工程任意文件获取
export function getMapFile(mapName, folderName, fileName) {
  return request({
    url: `/v1/map/file/${mapName}/${folderName}/${fileName}`,
    method: 'get'
  })
}
